# ---------------------------
# EC2
# ---------------------------
# Amazon Linux2023のAMIを取得
data "aws_ssm_parameter" "amazon_linux2023" {
  name = "/aws/service/ami-amazon-linux-latest/al2023-ami-kernel-6.1-x86_64"
}

# EC2作成
resource "aws_instance" "hands_on_ec2" {
  # 作成するEC2インスタンスの数
  count                       = 3
  ami                         = data.aws_ssm_parameter.amazon_linux2023.value
  instance_type               = "t2.micro"
  availability_zone           = "ap-northeast-1a"
  vpc_security_group_ids      = [aws_security_group.hands_on_ec2_sg.id]
  subnet_id                   = aws_subnet.hands_on_public_1a_sn.id
  associate_public_ip_address = "true"
  # user_data                   = file("./install_terraform.sh")
  tags = {
    #    Name = "userXX-hands-on-ec2"
    Name = "${format("user%02d-provisioning-ec2", count.index + 1)}"
  }
}
